<?php // $id$
// Displays stats for a course

    require_once("../../config.php");
    require_once($CFG->dirroot.'/blocks/marking/lib.php');

    $id = required_param('id', PARAM_INT);  // course id
    $tid = optional_param('tid', 0, PARAM_INT);
    $userid = optional_param('uid', 0, PARAM_INT);

    require_login();

    if (! $course = get_record("course", "id", $id)) {
        error("Course ID was incorrect");
    }

    $loggedinas = "<p class=\"logininfo\">".user_login_string($course, $USER)."</p>";
    print_header($course->shortname.': Stats', $course->fullname, 
                 '<a href="'.$CFG->wwwroot.'/course/view.php?id='.$course->id.'">'.$course->shortname.'</a>'. 
                 ' -> Stats ', '','', true, '', $loggedinas);

    echo '<br /><div align="center">';
    if (!isteacher($course->id)) {
        mb_display_student_stats($course, $USER, $tid);
    } else {
        mb_display_teacher_stats($course, $tid, $userid);
    }
    echo '</div>';

    print_footer($course);
?>
